#!/bin/bash/

# Mit diesem Script kann man ein Multi-Volume-Tar-Archiv erstellen.
# Die Groesse der einzelnen Volumes gibt man (in kByte) nach --tape-length an. 
# Die zu packenden Ordner und Dateien gibt man nach --absolute-names (also am 
# Ender der tar-Zeile) der Reihe nach - ohne Komma, nur mit Leerzeichen ge-
# trennt - an. Das /home/kroe/tmp ist nur ein Beispiel und kann natuerlich ge- 
# loescht werden.

echo "0" > ./zaehler
echo "mv ./backup.tar ./backup.tar.\`cat ./zaehler\`" > ./mvtar
chmod +x ./mvtar

tar --create --file=./backup.tar --multi-volume --tape-length=1440 --info-script=./mvtar --volno-file=./zaehler  --preserve --atime-preserve --absolute-names /home/kroe/tmp

expr `cat ./zaehler` + 1 > ./zaehler
echo "mv ./backup.tar ./backup.tar.\`cat ./zaehler\`" > ./mvtar
./mvtar

rm ./zaehler
rm ./mvtar

echo "Backup fertiggestellt."

# erstellt 02-01-17
# Dieter Kroemer
# mail: kroe@rs-schesslitz.de
